Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.core
Class ECPProviderRegistryImpl

    java.lang.Object
      org.eclipse.net4j.util.event.Notifier
          org.eclipse.net4j.util.lifecycle.Lifecycle
              org.eclipse.emf.ecp.internal.core.util.Registry<ELEMENT,OBSERVER>
                  org.eclipse.emf.ecp.internal.core.util.ElementRegistry<InternalProvider,ECPObserver>
                      org.eclipse.emf.ecp.internal.core.ECPProviderRegistryImpl

All Implemented Interfaces:
  ECPProviderRegistry, ECPDisposable.DisposeListener, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation

    public final class ECPProviderRegistryImpl

extends ElementRegistry<InternalProvider,ECPObserver>
implements ECPProviderRegistry

This class manages `ECPProvider`.

Author:
  Eike Stepper, Eugen Neufeld

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

Field Summary

Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`USE_LABEL`

Constructor Summary
`ECPProviderRegistryImpl()` Should not be called directly, use service instead.

Method Summary
`void` | `addProvider(ECPProvider provider)` Method to programmatically add an `ECPProvider` to list of available provider.
`InternalProvider` | `getProvider(Object adaptable)`
`InternalProvider` | `getProvider(String name)` This method returns the ECPProvider based on the name.
`Collection<ECPProvider>` | `getProviders()` This method returns all known providers.
`void` | `removeProvider(String name)` Delete a provider programmatically from the list of available providers by its name.

Methods inherited from class org.eclipse.emf.ecp.internal.core.util.ElementRegistry
`addResolveListener, removeResolveListener`

Methods inherited from class org.eclipse.emf.ecp.internal.core.util.Registry
`addObserver, changeElements, disposed, getElement, getElementCount, getElementNames, getElements, hasElement, hasElements, removeObserver`

Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`activate, deactivate, getLifecycleState, isActive, isDeferredActivation, toString`

Methods inherited from class org.eclipse.net4j.util.event.Notifier
`addListener, fireEvent, fireEvent, fireEvent, getListeners, hasListeners, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, getListeners, hasListeners, removeListener`

Constructor Detail

### ECPProviderRegistryImpl

    public ECPProviderRegistryImpl()

  Should not be called directly, use service instead.

Method Detail

### getProvider

    public InternalProvider getProvider(Object adaptable)

### getProvider

    public InternalProvider getProvider(String name)

  This method returns the ECPProvider based on the name.

  Specified by:
    `getProvider` in interface `ECPProviderRegistry`
  Parameters:
    `name` - the name of the `ECPProvider` to search for
  Returns:
    the `ECPProvider`

### getProviders

    public Collection<ECPProvider> getProviders()

  This method returns all known providers.

  Specified by:
    `getProviders` in interface `ECPProviderRegistry`
  Returns:
    array of `ECPProviders`

### addProvider

    public void addProvider(ECPProvider provider)

  Method to programmatically add an `ECPProvider` to list of available provider.

  Specified by:
    `addProvider` in interface `ECPProviderRegistry`
  Parameters:
    `provider` - the `ECPProvider` to add

### removeProvider

    public void removeProvider(String name)

  Delete a provider programmatically from the list of available providers by its name.

  Specified by:
    `removeProvider` in interface `ECPProviderRegistry`
  Parameters:
    `name` - the name of the provider to delete

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.